<?php

/**
 * RegressionBase
 */
class regressionBase
{

    /**
     * 数据
     * dataframe
     *
     * @var object
     * @access public
     */
    public $dataframe;

    public $decimals;

    /**
     * 构造方法。
     *
     * The construct function.
     *
     * @access public
     * @return void
     */
    public function __construct($dataframe)
    {
        global $config;
        $this->decimals  = $config->default->decimals;
        $this->dataframe = $dataframe;
    }

    public static function is_num($value)
    {
        return is_numeric($value) and !is_nan($value);
    }
}
